<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="format-detection" content="telephone=no" />
        <!-- WARNING: for iOS 7, remove the width=device-width and height=device-height attributes. See https://issues.apache.org/jira/browse/CB-4323 -->
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height, target-densitydpi=device-dpi" />
        <link rel="stylesheet" type="text/css" href="css/index.css" />
        <meta name="msapplication-tap-highlight" content="no" />
        <title>Hello World</title>
        <style>
          #alerta{
            width: 50px;
            height: 50px;
            background-color:red;
          }
        </style>
        
    </head>
    <body>
      <h3>Alpha:</h3><label id="alpha"></label>
      <h3>Cordova:</h3><label id="cordova"></label>
      <h3>Beta:</h3> <label id="beta"></label>
      <h3>Gamma:</h3><label id="gamma"></label>
      <div id="alerta"></div>
      <button onclick="cordovaGet()">Teste</button>

        <script type="text/javascript" src="cordova.js"></script>
        <script type="text/javascript">
        
        function mudaCor(){
          document.getElementById("alerta").style.backgroundColor = 'green';
        }
        
        window.addEventListener('deviceorientation', 
          
           function(event) {
              var alpha = Math.floor(event.alpha);
              var beta = Math.floor(event.beta);
              var gamma = Math.floor(event.gamma);
              if (alpha == 270 && beta == 0 && gamma == 0){
                  navigator.vibrate(100);
                 mudaCor();
              }                
              document.getElementById("alpha").innerHTML = Math.floor(alpha);
              document.getElementById("beta").innerHTML = Math.floor(beta);
              document.getElementById("gamma").innerHTML =  Math.floor(gamma);
        }, false);
        
        function onSuccess(heading) {
           document.getElementById("cordova").innerHTML = heading.magneticHeading;
        };

        function onError(error) {
        };

        
        function cordovaGet(){
          navigator.compass.getCurrentHeading(onSuccess, onError);
        }
        
        </script>	
    </body>
</html>
